﻿using System.ComponentModel.DataAnnotations;

namespace MobileNumber_Validation_ServerSide_Razor_Core.Models
{
    public class PersonModel
    {
        [Display(Name = "Mobile Number:")]
        [Required(ErrorMessage = "Mobile Number is required.")]
        [RegularExpression(@"^([0-9]{10})$", ErrorMessage = "Invalid Mobile Number.")]
        public string MobileNumber { get; set; }
    }
}
